## plink2 2.00~a3

=== DESCRIPTION ===
Package: pgenlibr
Type: Package
Title: PLINK 2 Binary (.pgen) Reader
Version: 0.3.1
Date: 2021-01-25
Author: Christopher Chang
Maintainer: Christopher Chang <chrchang@alumni.caltech.edu>
Description: A thin wrapper over PLINK 2's core libraries which provides an R
  interface for reading .pgen files.  A minimal .pvar loader is also included.
License: LGPL (>= 3)
Imports: Rcpp (>= 1.0.1)
LinkingTo: Rcpp
