## plink2 2.00~a3-200116+dfsg

=== debian/changelog ===
plink2 (2.00~a3-200116+dfsg-2) unstable; urgency=medium

  * Restrict to any-amd64 and any-i386 architectures only. Others are
     not supported.
  * Add minimum required version of libzstd.

 -- Dylan Aïssi <daissi@debian.org>  Wed, 29 Jan 2020 07:54:52 +0100

plink2 (2.00~a3-200116+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Dylan Aïssi <daissi@debian.org>  Wed, 22 Jan 2020 07:16:26 +0100

plink2 (2.00~a2-191128+dfsg-1) unstable; urgency=medium

  * Initial release. (Closes: #858947)

 -- Dylan Aïssi <daissi@debian.org>  Fri, 06 Dec 2019 22:28:40 +0100
