=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g;s/(\d\S*)\-//,repack,compression=xz" \
 https://www.cog-genomics.org/plink/2.0/ /static/bin/plink2_src_(\d\S+)\.zip
