## plink2 2.00~a3-200217+dfsg

=== debian/changelog ===
plink2 (2.00~a3-200217+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version: 4.5.0 (no changes needed).

 -- Dylan Aïssi <daissi@debian.org>  Wed, 19 Feb 2020 06:58:25 +0100
