=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                liblapack-dev,
                libzstd-dev (>= 1.4.4),
                zlib1g-dev
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/med-team/plink2
 Vcs-Git: https://salsa.debian.org/med-team/plink2.git
 Homepage: https://www.cog-genomics.org/plink/2.0/
