## plink2 2.00~a3-200511+dfsg

=== debian/changelog ===
plink2 (2.00~a3-200511+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Dylan Aïssi <daissi@debian.org>  Fri, 29 May 2020 12:04:11 +0200

plink2 (2.00~a3-200409+dfsg2-1) unstable; urgency=medium

  * Team upload.
  * Enable building on non-x86
  * Use the Debian package of libdeflate
  * Enable cross building

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Fri, 24 Apr 2020 10:07:15 +0200

plink2 (2.00~a3-200409+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Tue, 21 Apr 2020 11:29:42 +0200
