=== debian/control ===
--- 
+++ 
@@ -8,14 +8,18 @@
                libatlas-base-dev,
                liblapack-dev,
                libzstd-dev (>= 1.4.4),
-               zlib1g-dev
+               zlib1g-dev,
+               libsimde-dev,
+               libdeflate-dev
 Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/med-team/plink2
 Vcs-Git: https://salsa.debian.org/med-team/plink2.git
 Homepage: https://www.cog-genomics.org/plink/2.0/
+Rules-Requires-Root: no
 
 Package: plink2
-Architecture: any-amd64 any-i386
+Architecture: any
+Built-Using: ${simde:Built-Using}
 Depends: ${misc:Depends},
          ${shlibs:Depends}
 Description: whole-genome association analysis toolset
