## plink2 2.00~a3-210203+dfsg

=== debian/changelog ===
plink2 (2.00~a3-210203+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Remove obsolete field Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).

 -- Dylan Aïssi <daissi@debian.org>  Thu, 04 Feb 2021 11:52:52 +0100

plink2 (2.00~a3-210118+dfsg-2) unstable; urgency=medium

  * Team upload.
  * debian/rules: typo was causing FTBFS on mipsel

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 27 Jan 2021 11:58:07 +0100

plink2 (2.00~a3-210118+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 21 Jan 2021 12:50:16 +0100

plink2 (2.00~a3-210116+dfsg-1) unstable; urgency=medium

  * Team upload.
  * debian/watch: assume all upstream versions are prefixed with
    "2.00~a3-"
  * Remove obsolete field Contact from debian/upstream/metadata (already present
    in machine-readable debian/copyright).
  * debian/patches/baseline: respect Debian's architecture baselines

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 17 Jan 2021 10:00:51 +0100

plink2 (2.00~a3-210104+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Add '-latomic' for mipsel, m68k, and powerpc as well
  * Remove debian/patches/portable_m128i_setting, it was applied
    upstream.

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 07 Jan 2021 14:40:07 +0100

plink2 (2.00~a3-201212+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Add -latomic on armel
  * New upstream release.
  * Standards-Version: 4.5.1 (routine-update)
  * Mark use_packaged_libdeflate.patch as being Debian specific
  * debian/patches/portable_m128i_setting: use portable methods to set
    __m128i, should fix build on ppc64el.

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 23 Dec 2020 18:15:47 +0100

plink2 (2.00~a3-201028+dfsg-2) unstable; urgency=medium

  * Inject -I/usr/include/simde

 -- Dylan Aïssi <daissi@debian.org>  Fri, 20 Nov 2020 10:02:59 +0100

plink2 (2.00~a3-201028+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * debhelper-compat 13 (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Fri, 13 Nov 2020 10:03:04 +0100

plink2 (2.00~a3-200831+dfsg-1) unstable; urgency=medium

  [ Michael R. Crusoe ]
  * Fix simde patch for non-x86

  [ Dylan Aïssi ]
  * New upstream release.

 -- Dylan Aïssi <daissi@debian.org>  Thu, 10 Sep 2020 11:19:40 +0200
