=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Dylan Aïssi <daissi@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                help2man,
                libatlas-base-dev,
                liblapack-dev,
@@ -11,7 +11,7 @@
                zlib1g-dev,
                libsimde-dev,
                libdeflate-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/med-team/plink2
 Vcs-Git: https://salsa.debian.org/med-team/plink2.git
 Homepage: https://www.cog-genomics.org/plink/2.0/
@@ -19,9 +19,9 @@
 
 Package: plink2
 Architecture: any
-Built-Using: ${simde:Built-Using}
 Depends: ${misc:Depends},
          ${shlibs:Depends}
+Built-Using: ${simde:Built-Using}
 Description: whole-genome association analysis toolset
  plink expects as input the data from SNP (single nucleotide polymorphism)
  chips of many individuals and their phenotypical description of a disease.
