=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,18 @@
 #!/usr/bin/make -f
 
 include /usr/share/dpkg/default.mk
+ifeq (ppc64el,$(DEB_HOST_ARCH))
+	DEB_CFLAGS_MAINT_APPEND+=-mcpu=power8
+	DEB_CXXFLAGS_MAINT_APPEND+=-mcpu=power8
+endif
+ifneq (,$(filter $(DEB_HOST_ARCH),armel mipsel m68k powerpc))
+	DEB_LDFLAGS_MAINT_APPEND+=-latomic
+endif
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export DEB_CFLAGS_MAINT_APPEND+=-DSIMDE_ENABLE_OPENMP -fopenmp-simd -O3
-export DEB_CXXFLAGS_MAINT_APPEND+=-DSIMDE_ENABLE_OPENMP -fopenmp-simd -O3
+export DEB_CFLAGS_MAINT_APPEND+=-DSIMDE_ENABLE_OPENMP -fopenmp-simd -O3 -I/usr/include/simde
+export DEB_CXXFLAGS_MAINT_APPEND+=-DSIMDE_ENABLE_OPENMP -fopenmp-simd -O3 -I/usr/include/simde
 export DEB_LDFLAGS_MAINT_APPEND+=-ldeflate
+
 
 DIRECTORY=build_dynamic/
