## plink2 2.00~a3-220218%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                zlib1g-dev,
                libsimde-dev,
                libdeflate-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/med-team/plink2
 Vcs-Git: https://salsa.debian.org/med-team/plink2.git
 Homepage: https://www.cog-genomics.org/plink/2.0/
