## plink2 2.00~a3-220218+dfsg

=== debian/changelog ===
plink2 (2.00~a3-220218+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
    Closes: #1000782, #1004037
  * Standards-Version: 4.6.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 20 Feb 2022 21:36:16 +0100

plink2 (2.00~a3-211011+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Dylan Aïssi <daissi@debian.org>  Fri, 19 Nov 2021 17:17:43 +0100

plink2 (2.00~a3-210816+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Dylan Aïssi <daissi@debian.org>  Sat, 21 Aug 2021 09:51:33 +0200
