## plink2 2.00~a3.3-220801+dfsg

=== debian/changelog ===
plink2 (2.00~a3.3-220801+dfsg-1) unstable; urgency=medium

  * Team upload.

  [ Andreas Tille ]
  * New upstream version 2.00~a3.3-220801+dfsg
  * Refresh patches

  [ Étienne Mollier ]
  * d/rules: build avx2 variant with -mfma, fixing build failure.
  * d/bin/simd-dispatch: fix launcher for avx2 variant and filter fma.

 -- Étienne Mollier <emollier@debian.org>  Fri, 05 Aug 2022 22:15:46 +0200

plink2 (2.00~a3.3-220603+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (no changes needed)

 -- Dylan Aïssi <daissi@debian.org>  Fri, 29 Jul 2022 16:47:18 +0200

plink2 (2.00~a3-220316+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Wed, 16 Mar 2022 18:44:39 +0100
