=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,uversionmangle=s/(\d\S+)/2.00~a3.3-$1/,repack,compression=xz" \
 https://www.cog-genomics.org/plink/2.0/ /static/bin/plink2_src_(\d\S+)\.zip
