## plink2 2.00~a3.5-220809+dfsg

=== debian/changelog ===
plink2 (2.00~a3.5-220809+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Fix watch file (seems we are at ~a3.5 released at 220809)

 -- Andreas Tille <tille@debian.org>  Mon, 12 Dec 2022 09:35:02 +0100
