=== debian/rules ===
--- 
+++ 
@@ -41,9 +41,10 @@
 ifeq (amd64,$(DEB_HOST_ARCH))
 	mkdir -p $(prefix)
 	mkdir -p $(libexecdir)
-	export CXXFLAGS="$(CXXFLAGS) -mavx2 -mbmi -mbmi2 -mlzcnt" && export CFLAGS="$(CFLAGS) -mavx2 -mbmi -mbmi2 -mlzcnt" && \
-		make clean ; \
-		dh_auto_build -- SFX=-avx2
+	export CXXFLAGS="$(CXXFLAGS) -mavx2 -mbmi -mbmi2 -mlzcnt -mfma" \
+	&& export CFLAGS="$(CFLAGS) -mavx2 -mbmi -mbmi2 -mlzcnt -mfma" \
+	&& make clean \
+	; dh_auto_build -- SFX=-avx2
 	for SIMD in avx sse4.1 ssse3 sse3 sse2 ; do \
 		export CXXFLAGS="$(CXXFLAGS) -m$${SIMD}" && export CFLAGS="$(CFLAGS) -m$${SIMD}" && \
 		make clean ; \
