=== Makefile ===
--- 
+++ 
@@ -12,12 +12,14 @@
 #   Link to MKL with 64-bit indexes (dynamically): DYNAMIC_MKL
 #     (this also requires MKLROOT and MKL_IOMP5_DIR to be defined, and
 #     LD_LIBRARY_PATH to include the appropriate directories)
+#   Link statically to AOCL with 64-bit indexes: STATIC_AOCL
+#     (this supports older OSes than dynamic linking)
 #   32-bit binary (also sets STATIC_ZLIB and ZSTD_O2):
 #     FORCE_32BIT (warning: you may need to add a zconf.h symlink to make that
 #     work)
 #   Debug symbols: set DEBUG to -g
 NO_AVX2 = 1
-NO_SSE42 =
+NO_SSE42 = 1
 CPU_CHECK = 1
 NO_LAPACK =
 PREFER_CBLAS_F77 =
@@ -27,6 +29,8 @@
 DYNAMIC_MKL =
 MKLROOT = /home/ubuntu/intel/mkl
 MKL_IOMP5_DIR = /home/ubuntu/intel/compilers_and_libraries_2017.2.174/linux/compiler/lib/intel64
+STATIC_AOCL =
+AOCLROOT = /home/ubuntu/amd/aocl/3.2.0
 FORCE_32BIT =
 DEBUG =
 CC ?= gcc
@@ -90,15 +94,14 @@
 
 ifdef STATIC_ZLIB
   BASEFLAGS += -DSTATIC_ZLIB
-  LINKFLAGS += -L. ../../zlib-1.2.11/libz.a
+  LINKFLAGS += -L. ../../zlib-${ZLIB_VER}/libz.a
 else
   LINKFLAGS += -lz
 endif
 
 SKIP_STATIC_ZSTD =
-ifdef STATIC_ZSTD
-  BASEFLAGS += -DSTATIC_ZSTD
-else
+ifndef STATIC_ZSTD
+  BASEFLAGS += -DIGNORE_BUNDLED_ZSTD
   ZCSRC2 =
   ZSSRC2 =
   SKIP_STATIC_ZSTD = echo
@@ -117,9 +120,12 @@
   ifdef DYNAMIC_MKL
     $(error MKL is not currently supported on OS X)
   endif
+  ifdef STATIC_AOCL
+    $(error AOCL is not currently supported on OS X)
+  endif
   BLASFLAGS=-framework Accelerate
   CFLAGS += -I/usr/local/include
-  CXXFLAGS += -I/usr/local/include -stdlib=libc++
+  CXXFLAGS += -I/usr/local/include -stdlib=libc++ -DACCELERATE_NEW_LAPACK
   LINKFLAGS += -L/usr/local/lib
   LIBTOOL=libtool
   STATIC=-static
@@ -131,8 +137,22 @@
     ifdef FORCE_32BIT
       $(error DYNAMIC_MKL + FORCE_32BIT not supported)
     endif
+    ifdef STATIC_AOCL
+      $(error DYNAMIC_MKL + STATIC_AOCL does not make sense)
+    endif
     BASEFLAGS += -DDYNAMIC_MKL -DLAPACK_ILP64 -I${MKLROOT}/include
     BLASFLAGS = -L${MKLROOT}/lib/intel64 -L${MKL_IOMP5_DIR} -Wl,--no-as-needed -lmkl_intel_ilp64 -lmkl_intel_thread -lmkl_core -liomp5
+    LINKFLAGS += -ldl
+  endif
+  ifdef STATIC_AOCL
+    ifdef NO_LAPACK
+      $(error STATIC_AOCL and NO_LAPACK conflict)
+    endif
+    ifdef FORCE_32BIT
+      $(error STATIC_AOCL + FORCE_32BIT not supported)
+    endif
+    BASEFLAGS += -DUSE_AOCL -DLAPACK_ILP64 -I${AOCLROOT}/include
+    BLASFLAGS = -L. ${AOCLROOT}/lib/libflame.a -L. ${AOCLROOT}/lib/libblis.a
     LINKFLAGS += -ldl
   endif
 endif
