## plink2 2.00~a5.8-231123+dfsg

=== debian/changelog ===
plink2 (2.00~a5.8-231123+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Drop libatlas-base-dev Build-Depends
    Closes: #1056683
  * Add Build-Depends alternative: liblapack-dev | liblapack.so
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 29 Nov 2023 13:45:30 +0100
