=== debian/control ===
--- 
+++ 
@@ -5,13 +5,12 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                help2man,
-               libatlas-base-dev,
-               liblapack-dev,
-               libzstd-dev (>= 1.4.4),
+               liblapack-dev | liblapack.so,
+               libzstd-dev,
                zlib1g-dev,
                libsimde-dev,
                libdeflate-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/plink2
 Vcs-Git: https://salsa.debian.org/med-team/plink2.git
 Homepage: https://www.cog-genomics.org/plink/2.0/
