=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,uversionmangle=s/(\d\S+)/2.00~a3.5-$1/" \
 https://www.cog-genomics.org/plink/2.0/dev /static/bin/plink2_src_(\d\S+)\.zip

# There are newer tags on github than on cog-genomics.org but this is a mixed tarball of version 1.9 and 2.0
# The "version" ~a5.8 above was guessed from the github tags at the date encoded in the zip file name
#opts="repacksuffix=+dfsg,dversionmangle=auto,uversionmangle=s/a/~a/,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
#   https://github.com/chrchang/plink-ng/tags (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@
