## plink2 2.00~a6.9

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: pgenlibr
 Type: Package
 Title: PLINK 2 Binary (.pgen) Reader
-Version: 0.3.6
-Date: 202x-xx-xx
+Version: 0.4.1
+Date: 2025-0x-yy
 Authors@R: c(person(given = "Christopher",
                     family = "Chang",
                     role = c("aut", "cre"),
@@ -32,7 +32,8 @@
                     comment = "Author of included Zstd library"))
 Description: A thin wrapper over PLINK 2's core libraries which provides an R
     interface for reading .pgen files.  A minimal .pvar loader is also
-    included.  Chang et al. (2015) <doi:10.1186/s13742-015-0047-8>.
+    included.  Chang et al. (2015) \doi{10.1186/s13742-015-0047-8}.
+Encoding: UTF-8
 License: LGPL (>= 3)
 Copyright: This package includes sources of the libdeflate library owned by
     Eric Biggers, sources of the SIMDe library owned by Evan Nemerson, sources
@@ -41,4 +42,4 @@
 BugReports: https://github.com/chrchang/plink-ng/issues
 Imports: Rcpp (>= 1.0.1)
 LinkingTo: Rcpp
-RoxygenNote: 7.2.3
+RoxygenNote: 7.3.1
