=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 #   Do not use SSE4.2 instructions: NO_SSE42
 #   Print clear error message if SSE42/AVX2 needed but missing: CPU_CHECK
 #   Do not link to LAPACK: NO_LAPACK
-#   Use cblas_f77 instead of cblas: FORCE_CBLAS_F77
+#   Use cblas_f77 instead of cblas: PREFER_CBLAS_F77
 #   Use only -O2 optimization for zstd (may be necessary for gcc 4.x): ZSTD_O2
 #   Statically link zlib: STATIC_ZLIB
 #   Statically link zstd: STATIC_ZSTD
@@ -106,7 +106,7 @@
   ZSSRC2 =
   SKIP_STATIC_ZSTD = echo
   OBJ = $(CSRC:.c=.o) $(CCSRC:.cc=.o)
-  OBJ2 = $(notdir $(OBJ))
+  OBJL = $(notdir $(OBJ))
   LINKFLAGS += -lzstd
 endif
 
@@ -179,20 +179,20 @@
 	$(SKIP_STATIC_ZSTD) $(CC) $(ZCFLAGS) $(ZCSRC2) $(ZSSRC2) -c
 	$(CXX) $(CXXFLAGS) $(CCSRC2) -c
 	$(CXX) $(CPUCHECK_FLAGS) ../plink2_cpu.cc -c
-	$(CXX) $(OBJ2) plink2_cpu.o $(ARCH32) -o $@ $(BLASFLAGS) $(LINKFLAGS)
+	$(CXX) $(OBJL) plink2_cpu.o $(ARCH32) -o $@ $(BLASFLAGS) $(LINKFLAGS)
 
 pgen_compress$(SFX): $(PGCSRC2)
 	$(CXX) $(CXXFLAGS) $(PGCSRC2) -o $@
 
 pgenlib.a: $(PGENLIB_CCSRC2)
 	$(CXX) $(CXXFLAGS) $(PGENLIB_CCSRC2) -c
-	$(LIBTOOL) $(STATIC) -o $@ $(PGENLIB_OBJ2)
+	$(LIBTOOL) $(STATIC) -o $@ $(PGENLIB_OBJL)
 
 plink2lib.a: $(CSRC2) $(ZCSRC2) $(ZSSRC2) $(PLINK2LIB_CCSRC2)
 	$(CC) $(CFLAGS) $(CSRC2) -c
 	$(CC) $(ZCFLAGS) $(ZCSRC2) $(ZSSRC2) -c
 	$(CXX) $(CXXFLAGS) $(PLINK2LIB_CCSRC2) -c
-	$(LIBTOOL) $(STATIC) -o $@ $(PLINK2LIB_OBJ2)
+	$(LIBTOOL) $(STATIC) -o $@ $(PLINK2LIB_OBJL)
 
 static_pgenlib_test: pgenlib.a ../pgen_compress.cc
 	$(CXX) $(CXXFLAGS) -o $@ ../pgen_compress.cc -L. pgenlib.a
