## plink2 2.00~a6.9-250129%2Bdfsg

=== debian/changelog ===
plink2 (2.00~a6.9-250129+dfsg-1build3) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@debian.org>  Wed, 11 Feb 2026 23:41:15 +0100

plink2 (2.00~a6.9-250129+dfsg-1build2) questing; urgency=medium

  * No-change rebuild to disable LTO via lto-disabled-list (LP: #2119580).

 -- Lukas Märdian <slyon@ubuntu.com>  Thu, 14 Aug 2025 12:41:00 +0200

plink2 (2.00~a6.9-250129+dfsg-1) unstable; urgency=medium

  * New upstream version 2.00~a6.9-250129+dfsg
  * Update string in watch file
  * Refresh patches
  * Update upstream changelog
  * Fix invalid-dep3-format-patch-wrong-last-update
  * Standards-Version: 4.7.0 (no changes needed)
  * Fix superfluous-file-pattern
  * Add a clean target (Closes: #1048822)

 -- Dylan Aïssi <daissi@debian.org>  Fri, 07 Feb 2025 18:00:04 +0100
