=== debian/rules ===
--- 
+++ 
@@ -9,8 +9,8 @@
 	DEB_LDFLAGS_MAINT_APPEND+=-latomic
 endif
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export DEB_CFLAGS_MAINT_APPEND+=-DSIMDE_ENABLE_OPENMP -fopenmp-simd -O3 -I/usr/include/simde
-export DEB_CXXFLAGS_MAINT_APPEND+=-DSIMDE_ENABLE_OPENMP -fopenmp-simd -O3 -I/usr/include/simde
+export DEB_CFLAGS_MAINT_APPEND+=-DSIMDE_ENABLE_OPENMP -fopenmp-simd -O3 -I/usr/include/simde -DIGNORE_BUNDLED_LIBDEFLATE
+export DEB_CXXFLAGS_MAINT_APPEND+=-DSIMDE_ENABLE_OPENMP -fopenmp-simd -O3 -I/usr/include/simde -DIGNORE_BUNDLED_LIBDEFLATE
 export DEB_LDFLAGS_MAINT_APPEND+=-ldeflate
