=== debian/watch ===
--- 
+++ 
@@ -1,6 +1,6 @@
 version=4
 
-opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,uversionmangle=s/(\d\S+)/2.00~a3.5-$1/" \
+opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,uversionmangle=s/(\d\S+)/2.00~a6.9-$1/" \
  https://www.cog-genomics.org/plink/2.0/dev /static/bin/plink2_src_(\d\S+)\.zip
 
 # There are newer tags on github than on cog-genomics.org but this is a mixed tarball of version 1.9 and 2.0
